package com.hai.service;

import com.hai.entity.HighGasClassGroup;

import java.util.List;
import java.util.Map;

/**
 * 加油站班组服务
 * @author hurui
 */
public interface HighGasClassGroupService {

    /**
     * 编辑班组
     * @param gasClassGroup
     */
    void editGroup(HighGasClassGroup gasClassGroup);

    /**
     * 删除班组
     * @param groupId
     */
    void delGroup(Long groupId);

    /**
     * 根据id查询详情
     * @param groupId
     * @return
     */
    HighGasClassGroup getDetailById(Long groupId);

    /**
     * 查询班组列表
     * @param param
     * @return
     */
    List<HighGasClassGroup> getGroupList(Map<String, Object> param);

}
